<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemJoomToK2 extends JPlugin {

	function plgSystemJoomToK2(&$subject, $config) {

		parent::__construct($subject, $config);
	}

	function onAfterRoute() {

		$mainframe = &JFactory::getApplication();
		
		if ($mainframe->isAdmin())
			return;

		$option = JRequest::getCmd('option');
			
		if ($option == 'com_content') {	
			$db = & JFactory::getDBO();
			
			JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2'.DS.'tables');
			
			require_once(JPATH_SITE.DS.'components'.DS.'com_k2'.DS.'helpers'.DS.'route.php');
			
			$view = JRequest::getCmd('view');
			$task = JRequest::getCmd('task');
			
			$link = '';
			
			switch ($view) {
				case 'article':
					$contentId = JRequest::getInt('id');
					
					$item = &JTable::getInstance('K2Item', 'Table');
					$item->load($contentId);
					
					if (!$item->id)
						return;
					
					$category = &JTable::getInstance('K2Category', 'Table');
					$category->load($item->catid);
					
					//Read more link
					$link = K2HelperRoute::getItemRoute($item->id.':'.urlencode($item->alias),$item->catid.':'.urlencode($category->alias));
					$link=urldecode(JRoute::_($link));
				break;
				case 'category':
				break;
				case 'section':
				break;
			}
			
			if ($link != '') {
				
				JResponse::clearHeaders();
				
				$uri =& JURI::getInstance();
		
				$baseUrl = $uri->toString( array('scheme', 'host', 'port'));
		
				header( "HTTP/1.1 301 Moved Permanently" ); 
				header('Location: ' . $baseUrl.$link);
			}
		}
		
	}
	
	function onAfterInitialise() {
		
		$mainframe = &JFactory::getApplication();
		
		return;
	}
}

?>